> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate counterparty Id

<Tabs groupId="programming-language">
  <Tab value="Java" title="Java">
    ```java theme={null}
    TransfersService transfersService = IntxServiceFactory.createTransfersService(client);
    ValidateCounterpartyIdRequest request = new ValidateCounterpartyIdRequest.Builder()
        .counterpartyId("counterparty_id")
        .build();
    ValidateCounterpartyIdResponse response = transfersService.validateCounterpartyId(request);
    ```

    For more information, please visit the [INTX Java SDK](https://github.com/coinbase-samples/intx-sdk-java).
  </Tab>

  <Tab value=".NET" title=".NET">
    ```cs theme={null}
    var transfersService = new TransfersService(client);
    var request = new ValidateCounterpartyIdRequest(
        CounterpartyId: "counterparty_id",
    );
    var response = transfersService.ValidateCounterpartyId(request);
    ```

    For more information, please visit the [INTX .NET SDK](https://github.com/coinbase-samples/intx-sdk-dotnet).
  </Tab>

  <Tab value="Go" title="Go">
    ```go theme={null}
    transfersSvc := transfers.NewTransfersService(client)
    request := &transfers.ValidateCounterpartyIdRequest{
        CounterpartyId: "counterparty_id",
    }
    response, err := transfersSvc.ValidateCounterpartyId(context.Background(), request)
    ```

    For more information, please visit the [INTX Go SDK](https://github.com/coinbase-samples/intx-sdk-go).
  </Tab>

  <Tab value="Python" title="Python">
    ```python theme={null}
    client = IntxClient()
    request = ValidateCounterpartyIdRequest(
        counterparty_id="counterparty_id",
    )
    response = client.validate_counterparty_id(request)
    ```

    For more information, please visit the [INTX Python SDK](https://github.com/coinbase-samples/intx-sdk-py).
  </Tab>

  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const transfersService = new TransfersService(client);

    transfersService.validateCounterparty({
        counterpartyId: 'COUNTERPARTY_ID_HERE',
    }).then(async (response) => {
        console.log('Counterparty created: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>

  <Tab value="CLI" title="CLI">
    ```
    intxctl validate-counterparty-id --help
    ```

    For more information, please visit the [INTX CLI](https://github.com/coinbase-samples/intx-cli).
  </Tab>
</Tabs>


## OpenAPI

````yaml POST /api/v1/transfers/validate-counterparty-id
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/transfers/validate-counterparty-id:
    post:
      tags:
        - Transfers
      summary: Validate counterparty Id
      operationId: validateCounterpartyId
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - counterparty_id
              properties:
                counterparty_id:
                  description: Counterparty Id to be validated
                  type: string
                  example: CBTQDGENHE
      responses:
        '200':
          description: Return whether the counterparty Id is valid to withdraw to
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateCounterpartyIdResponse_v1'
        '400':
          description: Invalid attribute
      security:
        - auth_client_id: []
          auth_passphrase: []
          auth_signature: []
          auth_timestamp: []
components:
  schemas:
    ValidateCounterpartyIdResponse_v1:
      type: object
      properties:
        counterparty_id:
          description: Counterparty Id
          type: string
          example: CBTQDGENHE
        valid:
          description: Whether the counterparty Id is valid to withdraw to
          type: boolean
          example: true
  securitySchemes:
    auth_client_id:
      type: apiKey
      name: CB-ACCESS-KEY
      in: header
      description: The Client ID that owns the API Key for the request
    auth_passphrase:
      type: apiKey
      name: CB-ACCESS-PASSPHRASE
      in: header
      description: The pass phrase affiliated with the API Key
    auth_signature:
      type: apiKey
      name: CB-ACCESS-SIGN
      in: header
      description: >-
        A HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
    auth_timestamp:
      type: apiKey
      name: CB-ACCESS-TIMESTAMP
      in: header
      description: The timestamp of when the request is being made

````